StrutsContext (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.util
Class StrutsContext

    java.lang.Object
      org.apache.struts.faces.util.StrutsContext

    public class StrutsContext

extends Object

Context bean providing accessors for the Struts related request, session, and application scope objects reated to this request. Note that this bean's methods will trigger exceptions unless there is a `FacesContext` instance for this request.

Constructor Summary
`StrutsContext()`

Method Summary
`javax.faces.event.ActionEvent` | `getActionEvent()` Return the `ActionEvent` for the current request (if any).
`ActionMapping` | `getActionMapping()` Return the `ActionMapping` for the current request (if any).
`ActionMessages` | `getActionMessages()` Return the `ActionMessages` instance containing application error messages for this request (if any).
`ActionServlet` | `getActionServlet()` Return the `ActionServlet` instance for this web application.
`Throwable` | `getException()` Return the exception that caused one of the Struts custom tags to report a JspException (if any).
`javax.faces.context.ExternalContext` | `getExternalContext()` Return the `ExternalContext` for the current request.
`javax.faces.context.FacesContext` | `getFacesContext()` Return the `FacesContext` for the current request.
`Locale` | `getLocale()` Return the `Locale` stored in the current user's session (if any) for Struts based localization.
`MessageResources` | `getMessageResources()` Return the `MessageResources` instance for the application module that is processing this request (if any).
`ModuleConfig` | `getModuleConfig()` Return the `ModuleConfig` for the application module to which this request has been assigned (if any).
`boolean` | `isCancelled()` Return `true` if a Boolean true value has been stored in the request attribute indicating that this request has been cancelled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsContext

    public StrutsContext()

Method Detail

### getActionEvent

    public javax.faces.event.ActionEvent getActionEvent()

  Return the `ActionEvent` for the current request (if any).

### getActionMapping

    public ActionMapping getActionMapping()

  Return the `ActionMapping` for the current request (if any).

### getActionMessages

    public ActionMessages getActionMessages()

  Return the `ActionMessages` instance containing application error messages for this request (if any).

### getActionServlet

    public ActionServlet getActionServlet()

  Return the `ActionServlet` instance for this web application.

### isCancelled

    public boolean isCancelled()

  Return `true` if a Boolean true value has been stored in the request attribute indicating that this request has been cancelled.

### getException

    public Throwable getException()

  Return the exception that caused one of the Struts custom tags to report a JspException (if any).

### getExternalContext

    public javax.faces.context.ExternalContext getExternalContext()

  Return the `ExternalContext` for the current request.

### getFacesContext

    public javax.faces.context.FacesContext getFacesContext()

  Return the `FacesContext` for the current request.

### getLocale

    public Locale getLocale()

  Return the `Locale` stored in the current user's session (if any) for Struts based localization.

### getMessageResources

    public MessageResources getMessageResources()

  Return the `MessageResources` instance for the application module that is processing this request (if any).

### getModuleConfig

    public ModuleConfig getModuleConfig()

  Return the `ModuleConfig` for the application module to which this request has been assigned (if any).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.